%define Name Inkscape
Name: inkscape
Version: 0.44
Release: alt1
Summary: A Vector Drawing Application
License: GPL
Group: Graphics
URL: http://inkscape.sourceforge.net/
Source: http://dl.sourceforge.net/%name/%name-%version.tar.bz2
Patch: inkscape-0.44pre3-lcms.patch.gz
Requires: skencil pstoedit wmf-utils perl-Magick
Provides: perl(SpSVG.pm)

# Typical environment for GTK program
Requires(post,postun): desktop-file-utils

# Automatically added by buildreq on Thu Jun 08 2006 (-bi)
BuildRequires: ImageMagick ORBit2-devel dia fontconfig-devel
BuildRequires: freetype2-devel gcc-c++ ghostscript-utils glib2-devel
BuildRequires: libcairo-devel libgc-devel liblcms-devel
BuildRequires: libglibmm-devel libglitz-devel libgtk+2-devel
BuildRequires: libgtkmm2-devel libgtkspell-devel libpango-devel
BuildRequires: libpng-devel libpopt-devel libsigc++2.0-devel
BuildRequires: libstdc++-devel libxml2-devel libxslt-devel perl-Magick
BuildRequires: perl-Parse-Yapp perl-SVG perl-URI perl-XML-DOM
BuildRequires: perl-XML-Parser perl-XML-RegExp perl-XML-XQL perl-devel
BuildRequires: perl-libwww pkg-config pstoedit python-base python-dev
BuildRequires: python-modules-compiler python-modules-encodings skencil
BuildRequires: termutils xorg-x11-devel zlib-devel

BuildPreReq: intltool

%description
%Name is a SVG based generic vector-drawing program for
Linux/Unix/Windows. It uses an advanced imaging engine, with
anti-aliased display, alpha transparency, and vector fonts.

%description -l ru_RU.KOI8-R
%Name -      ,
  SVG,    Linux/Unix/Windows.
     ,
 , -   .


%prep
%setup -q
%patch -p1


%build
subst "s|.*\(checkPYTHON_LIBS\)=.*|\1=-lpython2.4|" ./configure
%configure --with-pic \
    --with-python \
    --with-perl \
    --with-xft \
    --enable-mmx
%make_build


%install
%makeinstall
bzip2 --best --force --keep -- ChangeLog
%find_lang --with-man %name

#menu
%ifndef _desktopdir
install -d -m 0755 %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): needs="x11" \
section="%group" \
title="%Name" \
icon="%name.png" \
command="%_bindir/%name" \
longtitle="%Name SVG Vector Illustrator"
__MENU__
%endif


%post
%update_menus
%update_desktopdb


%postun
%clean_menus
%clean_desktopdb


%files -f %name.lang
%doc AUTHORS ChangeLog.* NEWS README TRANSLATORS
%doc doc/API doc/README* doc/WISHLIST doc/[a-z]*
%_bindir/*
%_datadir/%name
%_desktopdir/*
%_pixmapsdir/*
%_man1dir/*
%ifndef _desktopdir
%_menudir/*
%endif


%changelog
* Fri Jun 23 2006 Led <led@altlinux.ru> 0.44-alt1
- 0.44

* Thu Jun 08 2006 Led <led@altlinux.ru> 0.44-alt0.1
- 0.44pre3
- cleaned up spec
- added inkscape-0.44pre3-lcms.patch

* Tue Nov 22 2005 Vitaly Lipatov <lav@altlinux.ru> 0.43-alt1
- new version

* Tue Sep 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42.2-alt0.1
- new version

* Fri Sep 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42-alt0.2
- try again

* Mon Aug 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42-alt0.1z
- new version (release)
- update buildrequires

* Sun Jul 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42-alt0.1cvs20050716
- add require perl-Magick
- add perl && python extensions

* Thu Apr 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt2cvs20050320
- add some requires needed by extensions

* Mon Apr 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt1cvs20050320
- CVS version

* Mon Feb 21 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt1
- release 0.41
- disable gnome-print

* Tue Jan 25 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt0.2cvs20050125
- fix buildreq

* Mon Jan 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt0.1cvs20050125
- CVS version
- rebuild with gcc3.4
- disable requires for extensions

* Tue Nov 30 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt1
- 0.40 release

* Sun Nov 28 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt0.1cvs20041128
- about 0.40 pre4 release

* Wed Nov 10 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt0.1cvs20041110
- about 0.40 pre2 release
- spec file comformed to GTK program packaging policy

* Tue Oct 26 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt0.1cvs20041021
- 0.40 pre release

* Tue Apr 13 2004 Egor S. Orlov <oes@altlinux.ru> 0.38.1-alt1
- 0.38.1

* Thu Apr 01 2004 Egor S. Orlov <oes@altlinux.ru> 0.37-alt2
- Added menu

* Wed Feb 11 2004 Egor S. Orlov <oes@altlinux.ru> 0.37-alt1
- initial build for Sisyphus

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros

